org.apache.poi.hsmf.datatypes

## Class Chunks

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.Chunks

- All Implemented Interfaces:
    ChunkGroup, ChunkGroupWithProperties

      public final class Chunks
      extends java.lang.Object
      implements ChunkGroupWithProperties

  Collection of convenience chunks for standard parts of the MSG file. Not all of these will be present in any given file. A partial list is available at: http://msdn.microsoft.com/en-us/library/ms526356%28v=exchg.10%29.aspx TODO Deprecate the public Chunks in favour of Property Lookups

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chunks()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `chunksComplete()` Called by the parser when all chunks have been found.
    `java.util.Map<MAPIProperty,java.util.List<Chunk>>` | `getAll()`
    `Chunk[]` | `getChunks()` Returns the chunks that make up the group.
    `StringChunk` | `getConversationTopic()`
    `StringChunk` | `getDisplayBCCChunk()`
    `StringChunk` | `getDisplayCCChunk()`
    `StringChunk` | `getDisplayFromChunk()`
    `StringChunk` | `getDisplayToChunk()`
    `StringChunk` | `getEmailFromChunk()`
    `ByteChunk` | `getHtmlBodyChunkBinary()`
    `StringChunk` | `getHtmlBodyChunkString()`
    `StringChunk` | `getMessageClass()`
    `StringChunk` | `getMessageHeaders()`
    `StringChunk` | `getMessageId()`
    `MessagePropertiesChunk` | `getMessageProperties()`
    `java.util.Map<MAPIProperty,java.util.List<PropertyValue>>` | `getProperties()` Returns all the Properties contained in the Chunk, along with their Values.
    `java.util.Map<MAPIProperty,PropertyValue>` | `getRawProperties()`
    `ByteChunk` | `getRtfBodyChunk()`
    `StringChunk` | `getSentByServerType()`
    `StringChunk` | `getSubjectChunk()`
    `MessageSubmissionChunk` | `getSubmissionChunk()`
    `StringChunk` | `getTextBodyChunk()`
    `void` | `record(Chunk chunk)` Called by the parser whenever a chunk is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Chunks

          public Chunks()

  - ### Method Detail

    - #### getProperties

          public java.util.Map<MAPIProperty,java.util.List<PropertyValue>> getProperties()

      Description copied from interface: `ChunkGroupWithProperties`
      Returns all the Properties contained in the Chunk, along with their Values. Normally, each property will have one value, sometimes none, and rarely multiple (normally for Unknown etc). For fixed sized properties, the value can be fetched straight from the `PropertyValue`. For variable sized properties, you'll need to go via the chunk.
      Specified by:
        `getProperties` in interface `ChunkGroupWithProperties`

    - #### getRawProperties

          public java.util.Map<MAPIProperty,PropertyValue> getRawProperties()

    - #### getAll

          public java.util.Map<MAPIProperty,java.util.List<Chunk>> getAll()

    - #### getChunks

          public Chunk[] getChunks()

      Description copied from interface: `ChunkGroup`
      Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.
      Specified by:
        `getChunks` in interface `ChunkGroup`

    - #### getMessageClass

          public StringChunk getMessageClass()

    - #### getTextBodyChunk

          public StringChunk getTextBodyChunk()

    - #### getHtmlBodyChunkString

          public StringChunk getHtmlBodyChunkString()

    - #### getHtmlBodyChunkBinary

          public ByteChunk getHtmlBodyChunkBinary()

    - #### getRtfBodyChunk

          public ByteChunk getRtfBodyChunk()

    - #### getSubjectChunk

          public StringChunk getSubjectChunk()

    - #### getDisplayToChunk

          public StringChunk getDisplayToChunk()

    - #### getDisplayFromChunk

          public StringChunk getDisplayFromChunk()

    - #### getDisplayCCChunk

          public StringChunk getDisplayCCChunk()

    - #### getDisplayBCCChunk

          public StringChunk getDisplayBCCChunk()

    - #### getConversationTopic

          public StringChunk getConversationTopic()

    - #### getSentByServerType

          public StringChunk getSentByServerType()

    - #### getMessageHeaders

          public StringChunk getMessageHeaders()

    - #### getSubmissionChunk

          public MessageSubmissionChunk getSubmissionChunk()

    - #### getEmailFromChunk

          public StringChunk getEmailFromChunk()

    - #### getMessageId

          public StringChunk getMessageId()

    - #### getMessageProperties

          public MessagePropertiesChunk getMessageProperties()

    - #### record

          public void record(Chunk chunk)

      Called by the parser whenever a chunk is found.
      Specified by:
        `record` in interface `ChunkGroup`

    - #### chunksComplete

          public void chunksComplete()

      Description copied from interface: `ChunkGroup`
      Called by the parser when all chunks have been found.
      Specified by:
        `chunksComplete` in interface `ChunkGroup`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.